body {
    font-family: 'Montserrat', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #76a976;
}

header {
    background: linear-gradient(to bottom, #6a4ea2, #76a976);
    color: white;
    padding: 1px;
    position: sticky;
    top: 0;
    z-index: 1;
}

header nav ul {
    list-style: none;
    display: flex;
    justify-content: flex-end;
}

header nav a {
    text-decoration: none;
    color: white;
    cursor: pointer;
    padding: 5px;
}

header nav a:hover {
    background-color: #6a4ea2;
}

.header-top {
    text-align: center;
}

.header-bottom {}

.article {
    color: white;
    /* height: 40vh; */
    padding: 20px;
    display: grid;
    grid-auto-rows: max-content;
    padding-top: 135px;
}

.content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    text-align: left;
    max-width: 950px;
    margin: auto;
    /* border: 1px solid whitesmoke; */
    padding: 40px;
    /* border-radius: 10px; */
}

.article h1 {
    text-align: center; /* Naslov ostaje centriran na vrhu */
}

.article p {
    padding: 15px;
    background-color: #6a4ea2;
    margin: 10px;
}

#toTop {
    cursor: pointer;
}

.video-container {
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    margin-bottom: 20px; /* Add space below the video container */
}

.video-container video {
    margin-right: 20px; /* Adjust the margin to create space between videos */
}

.carousel {
    width: 100%;
    overflow: hidden;
    height: 50vh;
}

.carousel-slide {
    display: none;
    width: 100%;
    text-align: center;
}

.carousel-slide img {
    max-width: 100%;
    max-height: 45vh;
}

.active {
    text-decoration: underline;
}

/* Styles for the mobile navigation overlay */
.mobile-menu {
    background: linear-gradient(to bottom, #6a4ea2, #2196F3);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
    display: none; /* Initially hidden */
}

.close {
    position: absolute;
    top: 10px;
    right: 10px;
    color: white;
    font-size: 30px;
    cursor: pointer;
}

.two-rows {
    display: flex;
    flex-direction: column;
    max-width: 950px;
    align-items: center;
    justify-content: center;
    margin: auto;
}

#order {
    background-color: #76a976;
    color: white;
}

#order h1 {
    text-align: center;
    margin-bottom: 20px;
}

#order form {
    max-width: 400px;
    margin: 0 auto;
}

#order label {
    display: block;
    margin-bottom: 10px;
}

#order input, textarea {
    width: 100%;
    padding: 10px 0;
    margin-bottom: 20px;
    border: 1px solid #6a4ea2;
    border-radius: 5px;
}

#order textarea {
    height: 150px;
    resize: none;
}

#order button {
    width: 100%;
    background-color: #6a4ea2;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 120%;
}

#order button:hover {
    background-color: green;
}

/* Styles for error messages (required for HTML5 validation) */
#order input:invalid {
    border-color: red;
}

#order input:invalid + label::after {
    content: ' *';
    color: red;
}

#order input:valid {
    border-color: #6a4ea2;
}

#order-now {
    padding: 6px;
    font-weight: 600;
    font-size: 120%;
}

/* You can add more CSS for transitions and styles as needed. */

h1, h2, h3, h4, h5, h6 {
    font-family: 'Montserrat', sans-serif;
}

img, video {
    max-width: 65vh;
    height: auto;
    align-self: flex-end; /* Slika/video na desnoj strani */
    margin-top: 20px; /* Dodajemo malo razmaka između teksta i slike */
}

footer {
    background-color: black;
    color: white;
    text-align: center;
    padding: 20px;
}

.yellow {
    color: yellow;
}

.flex-container {
    display: flex;
    flex-direction: row; 

    @media (max-width: 768px) {
        flex-direction: column; 
    }
}

.flex-item {
    flex: 1; 
    padding: 10px;
    font-size: 12px;
}  

.left {
    text-align: right;
}
  
/* Styles for screens up to 767px wide (typical smartphones) */
@media (max-width: 767px) {
    /* Your mobile-specific styles go here */
}

/* Styles for screens between 768px and 1023px wide (typical tablets) */
@media (min-width: 300px) and (max-width: 1023px) {
    /* Your tablet-specific styles go here */
    .header-bottom {
        display: none;
    }

    /* Styles for the hamburger menu button */
    .menu-toggle {
        display: block;
        cursor: pointer;
        padding: 10px;
    }

    .bar {
        width: 40px;
        height: 7px;
        background-color: white;
        margin: 5px 0;
    }

    /* Styles for the mobile menu content */
    .mobile-menu ul {
        list-style: none;
        padding: 0;
        display: flex; /* Enable flexbox for centering */
        align-items: center; /* Vertically center the menu */
        flex-direction: column;
        margin-top: 100px;
    }

    .mobile-menu li {
        margin-bottom: 55px;
    }

    .mobile-menu a {
        text-decoration: none;
        color: white;
        border: 1px solid white;
        border-radius: 5px;
        padding: 15px 38px;
    }

    .header-top {
        display: flex;
        justify-content: space-between;
    }

    .header-top h1 {
        font-size: 18px;
    }

    .content {
        flex-direction: column;
        aling-items: center;
        text-align: center;
        padding: 5px;
    }

    .video-container {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-bottom: 20px;
    }

    .article {
        padding-top: 85px;
    }

    .video-container video {
        margin: 0;
    }

    img, video {
        max-width: 80%;
        height: auto;
        align-self: center;
        margin-top: 20px;
    }
}

/* Styles for screens 1024px wide and larger (typical desktops) */
@media (min-width: 1024px) {
    /* Your desktop-specific styles go here */
}